/// A macro for generating ASCII art from text.
pub mod ascii_macros;

/// The `directory_macros` module contains macros related to directory
/// operations.
pub mod directory_macros;

/// The `file_macros` module contains macros related to file operations.
pub mod file_macros;

/// The `log_macros` module contains macros related to logging messages at various log levels and formats.
pub mod log_macros;

/// The `utility_macros` module contains utility macros for common tasks such as
/// replacing placeholders in a line with values from parameters.
pub mod utility_macros;
